<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <form class="ui form" id="export-form" th:object="${report}" method="post" th:action="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_REPORTS} + ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_EXPORT}}">
    <input th:field="*{type}" type="hidden" />
    <br/>
    <th:block th:replace="common/fragments/elements :: title(text = 'Absences', 
                                                             icon = null, 
                                                             url = null)" 
                                                             />
    <div class="fields">
      <th:block th:replace="common/fragments/input :: dropdownlistmultiple(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}, 
                                                                           field = 'teams', 
                                                                           options = ${teams},
                                                                           optionfield = 'item.subArea.abbreviation + \' - \' + item.name',
                                                                           required = false,
                                                                           columnsize = 'six wide'
                                                                           )" />
      <th:block th:replace="common/fragments/input :: dropdownlistmultiple(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RESOURCE}}, 
                                                                           field = 'resources', 
                                                                           options = ${resources},
                                                                           optionfield = 'item.name',
                                                                           required = false,
                                                                           columnsize = 'six wide'
                                                                           )" />
      <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STARTINGDATE}}, 
	                                                  field = 'startDay', 
	                                                  required = true,
	                                                  value = ${#dates.format(report.startDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
	                                                  placeholder = 'Choose the day',
	                                                  columnsize = 'two wide'
	                                                  )" />
      <th:block th:replace="common/fragments/input :: calendar(label = #{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ENDINGDATE}}, 
                                                               field = 'endDay', 
                                                               required = true,
                                                               value = ${#dates.format(report.endDay, T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_FORMAT_DATE)}, 
                                                               placeholder = 'Choose the day',
                                                               columnsize = 'two wide'
                                                               )" />
    </div>    
    <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EXPORT},
                                                  		        icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_EXPORT},
                                                  		        icon1url = ''
                                                  		        )" />
	<input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}" />
    
   </form>
</body>
</html>